      subroutine KINNUM(CC,RESULT)
      include 'INPAR.INC'
      include 'UNITS.INC'
      real RESULT
      integer CC,EOF,HQUIT(2),HELMIN(2),INUNIT,IFIND,IERR,TWO,HELSIZ
      character HELNAM(8)*1
      data HQUIT, HELMIN, TWO, HELSIZ /4,4, 1,1, 2, 8/
      data HELNAM/'H','E','L','P', 'Q','U','I','T'/
      INUNIT = TTYIN(MACHNO)
      call INREC(EOF,INUNIT,INPUT)
      CC = 2
      if (EOF.eq.1) go to 110
      STOPIT = 0
      CC = IFIND(TWO,HELSIZ,HQUIT,HELNAM,HELMIN)+3
      go to (110,110,100,110,110), CC
100   continue
      STOPIT = 0
      CC = 3
      call GETNUM (IERR,RESULT)
      if (IERR.eq.1 .or. abs(RESULT).gt.32767.) go to 110
      CC = 6
      go to 110
110   continue
      return
      end
